收藏
回答

安卓机连接便携式蓝牙打印机提示10009错误

你好,我用安卓机连接搜索到的便携式打印机,显示蓝牙版本低于4.3的10009错误,这个有什么好的解决方案吗?

回答关注问题邀请回答
收藏

3 个回答

  • Tummy
    Tummy
    2019-07-23

    10009表示手机不支持低功耗蓝牙

    你可能要检查:

    1. 硬件设备是否支持ble; 2.大多数手机都是支持低功耗的,不支持可能是太老了,这种手机官方暂时也不支持的。

    ps:理论上该手机是支持传统蓝牙接口的,但小程序这边正规划支持这个特性

    2019-07-23
    赞同
    回复
  • 社区技术运营专员-小柿子
    社区技术运营专员-小柿子
    2019-06-28

    麻烦提供出现问题的具体机型、微信版本号、系统版本号,以及能复现问题的代码片段(https://developers.weixin.qq.com/miniprogram/dev/devtools/minicode.html)

    2019-06-28
    赞同
    回复 3
    • Sk.
      Sk.
      2019-06-28

      机型:华为 nova3i INE-AL00  版本号:9.0.1.171(C00E22R1P7) 微信版本号:7.0.4

      注:ios可以搜索到便携式蓝牙打印并且连接,试了好几个安卓都是提示蓝牙版本低于4.3

      2019-06-28
      回复
    • 社区技术运营专员-小柿子
      社区技术运营专员-小柿子
      2019-07-01回复Sk.

      确认下是所有的机型都不行咩?

      麻烦让用户上传一下日志:我->设置->帮助与反馈右上角有个上报日志的入口


      然后提供一下出现问题的微信号、出现问题的时间点(精确到分钟)


      2019-07-01
      回复
    • Sk.
      Sk.
      2019-07-01回复社区技术运营专员-小柿子


      在苹果里获取的deviceId是uuid,安卓里是mac地址,在deviceId这个参数里没法用,这个有什么解决思路吗

      2019-07-01
      回复
  • Sk.
    Sk.
    2019-06-27

    @官方,求解答

    2019-06-27
    赞同
    回复
登录 后发表内容